Subject: Re: bug#64696: 30.0.50; indent-to inherits preceding text properties, including 'invisible

From: Eli Zaretskii <[email-masked]>
Date: Fri, 28 Jul 2023 17:17:56 +0300

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Fri, 28 Jul 2023 13:02:14 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > So you are saying that indent-to should take care of not inheriting
> > text properties from preceding text?  Or are there any other problems?
> 
> AFAIU, we concluded previously that non-inheriting text properties is a
> no-go because it will likely break things.

I'm not talking about all the properties, I'm talking only about
those that affect the visible width of whitespace.  Basically, only
'display' properties, I think.

> So, I think that `indent-to' should take care calculating space width
> accurately in the presence of :width and similar specs.
> 
> Not sure what to do with :align-to.

These could be accounted for, but some 'display' properties cannot.
For example, if the property value is a string, we will be unable to
indent at all.

> ... well, except the generic problem that `indent-to' may inherit
> 'display or 'invisible property that completely modifies how the
> inserted spaces/tabs are displayed.

Which is why 'invisible' should not be inherited by indent-to, if we
want it to do a better job.